<?php
/**
*	Mambo Site Server Open Source Edition Version 4.0.11
*	Dynamic portal server and Content managment engine
*	27-11-2002
*
*	Copyright (C) 2000 - 2002 Miro Contruct Pty Ltd
*	Distributed under the terms of the GNU General Public License
*	This software may be used without warrany provided these statements are left
*	intact and a "Powered By Mambo" appears at the bottom of each HTML page.
*	This code is Available at http://sourceforge.net/projects/mambo
*
*	Site Name: Mambo Site Server Open Source Edition Version 4.0.11
*	File Name: news.php
*	Developers: Danny Younes - danny@miro.com.au
*				Nicole Anderson - nicole@miro.com.au
*	Date: 27-11-2002
* 	Version #: 4.0.11
*	Comments: The function listing retrieves all news categories and titles from the database.
**/

require ("classes/html/news.php");
$news = new news();

include_once ("includes/accesscheck.php");
$gid = checkaccess($HTTP_COOKIE_VARS["usercookie"], $db, $dbprefix);
include_once ("includes/getids.php");

switch($task) {
	case "viewarticle":
	show($news, $database, $dbprefix, $sid, $gid, $db);
	break;
	default:
	listing($news, $database, $dbprefix, $topid, $gid, $shownoauth, $popup);
	break;
}

function listing($news, $database, $dbprefix, $topid, $gid, $shownoauth, $popup){
	/* Query to retrieve all categories that belong under the news section and that are published. */
	$query = "SELECT categoryname, categoryid FROM ".$dbprefix."categories where section='News' and published=1 AND access<='$gid' ORDER BY categoryname";
	
	$result = $database->openConnectionWithReturn($query);
	$j = 0;
	while ($row = mysql_fetch_object($result)){		/* Retrieve all category names and id */
	$topictext[$j] = $row->categoryname;
	$topicid[$j] = $row->categoryid;
	/* Query to retrieve all news titles that belong to the category chosen by the user. */
	$query = "SELECT sid, title, author, time, counter FROM ".$dbprefix."stories WHERE topic=$row->categoryid and published=1 and frontpage=0 and archived=0 ORDER BY time DESC";
	$result2 = $database->openConnectionWithReturn($query);
	$num[$j] = mysql_num_rows($result2);
	$i = 0;
	if ($topid <> ""){
		if (mysql_num_rows($result2) <> 0){
			while ($row2 = mysql_fetch_object($result2)){		/* Retrieve all titles. */
			$title[$row->categoryname][$i] = $row2->title;
			$author[$row->categoryname][$i] = $row2->author;
			$sid[$row->categoryname][$i] = $row2->sid;
			$time[$row->categoryname][$i] = $row2->time;
			$counter[$row->categoryname][$i] = $row2->counter;
			$i++;
			} /* while */
		} /* if */
	} /* if */
	$j++;
	} /* while */
	
	if ($shownoauth){
		$query = "SELECT categoryid, categoryname from ".$dbprefix."categories where section='News' and published=1 AND access>'$gid' ORDER BY categoryname";
		$result = $database->openConnectionWithReturn($query);
		$numresult = mysql_num_rows($result);
		$j = 0;
		while ($row = mysql_fetch_object($result)){
			$noauth_topictext[$j] = $row->categoryname;
			$j++;
		}
	}
	
	$news->newsmaker($topicid, $title, $num, $sid, $topictext, $author, $topid, $time, $counter, $noauth_topictext, $popup);
} /* listing */

function show($news, $database, $dbprefix, $sid, $gid, $db){
	
	$topquery=getcatids("topic","stories", $gid, $db, $dbprefix);
	if ($topquery==''){
		echo"This resource is not valid or you are not authorized to access it.<br>";
		exit;
	}
	
	$query = "SELECT time, title, author, introtext, fultext, newsimage, image_position FROM ".$dbprefix."stories WHERE sid=$sid $topquery";
	$result = $database->openConnectionWithReturn($query);
	while ($row = mysql_fetch_object($result)){
		$dbtime = $row->time;
		$title = $row->title;
		$author = $row->author;
		$introtext = $row->introtext;
		$fultext = $row->fultext;
		$image = $row->newsimage;
		$imageposition = $row->image_position;
	}
	
	$dates = explode("-", $dbtime);
	$time = strftime ("%d %b %Y", mktime (0,0,0,$dates[1],$dates[2],$dates[0]));
	$introtext = stripslashes($introtext);
	$fultext = stripslashes($fultext);
	
	$query2 = "UPDATE ".$dbprefix."stories SET counter=counter+1 WHERE sid=$sid";
	$database->openConnectionNoReturn($query2);
	$news->shownewsmaker($time, $title, $author, $introtext, $fultext, $topic, $image, $sid, $imageposition);
}
?>
